Subject: I want to use SCC3 as ethernet with SMC1 as console(mpc8xx)

From: 김영남 <[email-masked]>
Date: Wed, 19 Apr 2006 15:40:30 +0900

First of all, I am sorry for my poor english.

I have mpc850 custom board with followings:

SMC1 - console
SMC2 - uart
SCC2 - ethernet

I want to use SCC2 and SCC3 as ethernet(two ethernet interfaces).

As many web sites and mailing lists describe, I knew that SMC patch is
required because SMC1 and SCC3 share parameter ram.

I have DENX 2.4.25 kernel and this kernel works fine except using SCC3
as ethernet.
When apply "USE_SMC_PATCH" in arch/ppc/8xx_io/micropatch.c, kernel hang
and reset without any messages.(using u-boot 1.1.4)

I want to know that when I use "USE_SMC_PATCH", which source file is
modified and how to modify source file to use SMC1 as console.

Could you tell me useful information about that?